The API reference moved here from eksis.io/developers.
Automations

List automations

GET
/v1/automations

The comment and DM automations of the workspace, most recently edited first. GET /v1/automations/{automationId} returns one in full.

Authorization

headerAuthorizationBearer <token>

Send your key as Authorization: Bearer eksis_sk_....

Query Parameters

status?string
Default"all"
Value in"all""active""paused""draft"

Response Body

The automations.

application/json
  1. response
data?array<>
curl -X GET 'https://api.eksis.io/v1/automations' \  -H 'Authorization: Bearer eksis_sk_...'
{  "data": [    {      "id": "string",      "name": "string",      "status": "active",      "trigger": "comment_created",      "summary": "string",      "channelIds": [        "string"      ],      "postsWatched": 0,      "canSwitchOn": true,      "blocker": "string",      "lastRunAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}